Built LMS Help Center
API Reference and PlaygroundCourse BuilderGrading Queue

GET Get grading queue item details

Retrieve detailed information about a specific manual grading task including student response and grading status

GET
/grading-queue/{id}

Retrieve detailed information about a specific manual grading task including student response and grading status

Authorization

AuthorizationBearer <token>

Send API keys and access tokens as Authorization: Bearer .

In: header

Path Parameters

id*string

Grading queue item ID

Formatuuid

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/grading-queue/{id}"
{  "data": {    "id": "{id}",    "organization_id": "{organization_id}",    "attempt_id": "{attempt_id}",    "question_id": "{question_id}",    "assigned_grader_id": "{assigned_grader_id}",    "status": "todo",    "original_response": {      "selected_option_ids": [        "string"      ],      "text_answer": "string",      "boolean_answer": true,      "numeric_answer": 0,      "file_url": "http://example.com",      "code": "string",      "ordering": [        "string"      ],      "matching_pairs": [        {          "left_item_id": "string",          "right_item_id": "string"        }      ],      "property1": "string",      "property2": "string"    },    "graded_response": {      "rubric_scores": [        {          "criterion_id": "{criterion_id}",          "level_id": "{level_id}",          "score": 0,          "weight": 0,          "feedback": "string"        }      ],      "calculated_score": 0,      "grader_notes": "string",      "flags": [        "string"      ],      "property1": "string",      "property2": "string"    },    "points_awarded": 0,    "grader_feedback": "string",    "graded_at": "2019-08-24T14:15:22Z",    "reviewed_by": "{reviewed_by}",    "reviewed_at": "2019-08-24T14:15:22Z",    "created_at": "2019-08-24T14:15:22Z",    "updated_at": "2019-08-24T14:15:22Z"  },  "meta": {    "organizationId": "{organizationId}",    "rls_validated": true  }}